Subject: Re: Absolute file-path under bash (cygwin32)
From: [email-masked] (Paul Prescod)

16 Apr 1997 10:19:09 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.0b3 [en] (Win95; I)
Original-To: Hawkeye <[email-masked]>
Original-CC: [email-masked], [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Hawkeye wrote:
> That could only ever work partially, at best.  Filenames aren't
> necessarily distinct words in the argument list (consider an option
> like "-I/usr/local/include"), and every word in the argument list
> shouldn't necessarily be interpeted as a cygwin filename (consider
> "echo dir /w >foo.bat").  

Either of these problems are easily fixed. How do you recognize variable
names so that they can be replaced? With a special character. I don't
know bash enough to know what character or character combination is left
over, though. Maybe $/ as in $/foo/bar.com . Do variable names ever
start with $/?

> The only "right" place to interpret filenames is in the API calls made by 
> an application.

It is already too late for that. We can't fix all of the Windows
software in the world, and we can't fix all of the Unix source code in
the world. We must either manually convert pathnames forever or we must
have a way of letting the computer differentiate them. I prefer the
latter.

 Paul Prescod

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".